@ This GAUSS code checks impulse-response code @
	output file=junk2 reset;
	library pgraph;
	graphset;
	_pdate = 0;
format /m1;

/* ==================================================
	load data
  ==================================================== */
nt = 372;
load y[nt,9] = ..\datajdh.txt;
@ first row 1965:1  last row 1995:12 
 	col (1)  output growth
	col (2)  log price level
	col (3)  log commodity price
	col (4)  Hamilton net oil
	col (5)  fed funds rate
	col (6) short rate
	col (7) long rate  @

/* =======================================================
	set global variables used in procs
    ======================================================= */
capK = 24;        @ capK is the maximum number of lags entertained 
			      used capK = 12 for simple analysis and capK =24 for extended @
nfest = capK +1;   @ nfest is the first observation used for estimation (after lags) @
plag = 1;       @ plag is number of lags in VAR @
nuse = nt - nfest +1;   @ nuse is the number of observations used @
vhat = 0;         @ this will be set to the structural variance-covariance matrix for VAR @
ks = 48;            @ ks is number of horizons used for forecasts or impulse-response @
ny = 7;            @ ny is number of left-hand variables in VAR @
kc = 1;             @ kc = 2 prints output of VAR analysis, kc = 1 suppresses output @
phi = 0;             @ phi will contain lagged VAR coefficients; set to 0 to load procs @
b0 = 0;
seed1 = 3937841;

#include ..\varproc2.g;   @ this adds GAUSS VAR procs @
#include booproc2.g;   @ this adds the proc for bootstrap routines @

/* =============================================
	estimate an unrestricted VAR with 7 lags */

plag = 7;
yq = y[.,1:7];
y2 = multlags(y[.,1:7],plag,nfest);

ystart = yq[nfest-plag:nfest-1,.];    @ will be used for starting values @
yq = yq[nfest:nt,.];

{bhat,vhat,ehat} = varit(yq,y2);
"original var coefficients";
format /m3;
bhat;

/* =======================================================
 calculate impulse-response function 
  ========================================================*/

horiz = 12;
iy = 4;
shockly = impulse(bhat,plag,horiz,iy);
"===========================================";
shockly;